package routers

import (
	"github.com/gin-gonic/gin"
	"project_management/app/controller"
	middlewares "project_management/app/middleware"
)

func CapabilitiesRoutes(r *gin.Engine) {
	group := r.Group("/api")
	group.POST("/capabilitiesall", controller.GetCapabilities)
	group.POST("/admincapabilities", controller.AdminGetCapabilities).Use(middlewares.AdminMiddleware())
	group.POST("/capabilities", controller.AdminAddGetCapabilities).Use(middlewares.AdminMiddleware())
	group.PUT("/capabilities", controller.AdminUpdateCapabilities).Use(middlewares.AdminMiddleware())
	group.DELETE("/capabilities", controller.AdminDeleteCap).Use(middlewares.AdminMiddleware())
}
